package com.telpo.dipperposition.config;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Configuration;

/**
 * @program: gateway
 * @description: jwt设置
 * @author: linwl
 * @create: 2020-06-18 17:45
 */
@Getter
@Setter
@ToString
@Configuration
public class PositionConfig {

  @Autowired
  private ConfigurableApplicationContext configurableApplicationContext;
  //@Value(value = "${position.hello}")
  private String hello;

  //@Value(value = "${spring.application.name}")
  private String name;

  PositionConfig()
  {
    //hello = configurableApplicationContext.getEnvironment().getProperty("position.hello");
    //name = configurableApplicationContext.getEnvironment().getProperty("spring.application.name");
  }

  private static PositionConfig instance;
  public static PositionConfig getInstance(){
    if (instance==null){
      try {
        Thread.sleep(100);
      } catch (InterruptedException e) {
        e.printStackTrace();
      }
      instance = new PositionConfig();
    }
    return instance;
  }
}
